msgpack::zone_push_finalizer Struct Reference

`#include <unpack.hpp>`

## Public Member Functions

| zone_push_finalizer (msgpack::zone &z)
void | set_zone (msgpack::zone &z)
void | operator() (char *buffer)

## Public Attributes

msgpack::zone * | m_z

## Constructor & Destructor Documentation

## zone_push_finalizer()

msgpack::zone_push_finalizer::zone_push_finalizer | ( | msgpack::zone & | z | ) |

inline

## Member Function Documentation

## operator()()

void msgpack::zone_push_finalizer::operator() | ( | char * | buffer | ) |

inline

References msgpack::detail::decr_count(), m_z, and msgpack::zone::push_finalizer().

## set_zone()

void msgpack::zone_push_finalizer::set_zone | ( | msgpack::zone & | z | ) |

inline

References m_z.

Referenced by msgpack::unpacker::unpacker(), and msgpack::unpacker::visitor().

## Member Data Documentation

## m_z

msgpack::zone* msgpack::zone_push_finalizer::m_z

Referenced by operator()(), set_zone(), msgpack::unpacker::unpacker(), and msgpack::unpacker::visitor().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v2/unpack.hpp